Subject: Re: linux-next: build warnings from the build of Linus' tree

From: Masami Hiramatsu <[email-masked]>
Date: Sat, 25 Aug 2018 10:51:27 +0900

On Fri, 24 Aug 2018 22:42:11 +1000
Stephen Rothwell <[email-masked]> wrote:

> Hi Masami,
> 
> On Fri, 24 Aug 2018 20:47:56 +0900 Masami Hiramatsu <[email-masked]> wrote:
> >
> > gcc-7.3.0 cross build ld shows below warnings.
> > 
> >   MODPOST vmlinux.o
> > /opt/gcc-7.3.0-nolibc/powerpc64-linux/bin/powerpc64-linux-ld: warning: orphan section `.gnu.hash' from `linker stubs' being placed in section `.gnu.hash'.
> >   KSYM    .tmp_kallsyms1.o
> > /opt/gcc-7.3.0-nolibc/powerpc64-linux/bin/powerpc64-linux-ld: warning: orphan section `.gnu.hash' from `linker stubs' being placed in section `.gnu.hash'.
> >   KSYM    .tmp_kallsyms2.o
> > /opt/gcc-7.3.0-nolibc/powerpc64-linux/bin/powerpc64-linux-ld: warning: orphan section `.gnu.hash' from `linker stubs' being placed in section `.gnu.hash'.
> >   KSYM    .tmp_kallsyms3.o
> >   LD      vmlinux
> > /opt/gcc-7.3.0-nolibc/powerpc64-linux/bin/powerpc64-linux-ld: warning: orphan section `.gnu.hash' from `linker stubs' being placed in section `.gnu.hash'.
> 
> I reported those a while ago when I started using the native Debian gcc
> on my Powerpc build box.
> 
> > But it seems another warning, and I couldn't see your warnings. Could you tell me your gcc version?
> 
> Currently, it is the Debian gcc 8.2.0, ld 2.31.1.

Hmm, so I guess it might be related to newer gcc (8?). I need to check it on x86-64 too.

Thank you,

-- 
Masami Hiramatsu <[email-masked]>